Page MenuHomePhabricator

Pressing 'Enter' not submitting form after OOUI v0.30.0 releases in some cases
Closed, ResolvedPublic

Description

On certain forms, possibly only in combination with certain other elements, pressing enter in expected locations is no longer submitting the form, but instead changing focus to another field.

Reports from enwiki : https://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_(technical)&oldid=877878700#Hitting_%22enter%22_in_the_edit_summary_box_no_longer_saves_the_page

Able to reproduce on testwiki with the MOVE dialog:

  1. Go to a page
  2. Attempt to move it
  3. Enter new title and reason, press ENTER in the REASON field
  4. FAIL: Instead of submitting, the input focus is changing to the namespace selector

Possibly related to T213240 ?

Event Timeline

Xaosflux created this task.Jan 11 2019, 2:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 11 2019, 2:47 PM
Xaosflux updated the task description. (Show Details)Jan 11 2019, 2:51 PM
Xaosflux edited projects, added OOUI; removed OOUI (OOUI-0.30.0).Jan 11 2019, 2:53 PM
Xaosflux edited projects, added OOUI (OOUI-0.30.0); removed OOUI.
Xaosflux edited projects, added OOUI; removed OOUI (OOUI-0.30.0).
Volker_E added a subscriber: Volker_E.EditedJan 11 2019, 5:39 PM

@matmarex First guess, some forms are searching for the nearest button instead of the submit button when 'enter' is pressed. Now that Dropdown features a 'button' internally, 'enter' is activated on that.

Volker_E triaged this task as High priority.Jan 11 2019, 5:40 PM
Volker_E renamed this task from enter not submitting form after ooui v0.30.0 in some cases to Pressing 'Enter' not submitting form after OOUI v0.30.0 releases in some cases.Jan 11 2019, 5:46 PM
Volker_E added a comment.EditedJan 11 2019, 7:24 PM

Button misses type=button. After all it's the HTML, stupid.

Change 483833 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] DropdownWidget: $handle needs to carry type="button"

https://gerrit.wikimedia.org/r/483833

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Jan 11 2019, 7:53 PM

Change 483833 merged by jenkins-bot:
[oojs/ui@master] DropdownWidget: $handle needs to carry type="button"

https://gerrit.wikimedia.org/r/483833

Volker_E moved this task from Reviewing to OOUI-0.30.2 on the OOUI board.Jan 13 2019, 3:09 AM
Volker_E edited projects, added OOUI (OOUI-0.30.2); removed OOUI.

Change 484281 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] OOUI: Backport Ie43a0a346fea2dd2fda540d62f24410de1bc0d76

https://gerrit.wikimedia.org/r/484281

This seems like a very annoying problem, so I'm going to backport the fix. It will be deployed to Wikimedia wikis later today.

Change 484281 merged by jenkins-bot:
[mediawiki/core@master] OOUI: Backport Ie43a0a346fea2dd2fda540d62f24410de1bc0d76

https://gerrit.wikimedia.org/r/484281

Change 484291 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@wmf/1.33.0-wmf.12] OOUI: Backport Ie43a0a346fea2dd2fda540d62f24410de1bc0d76

https://gerrit.wikimedia.org/r/484291

Change 484291 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.12] OOUI: Backport Ie43a0a346fea2dd2fda540d62f24410de1bc0d76

https://gerrit.wikimedia.org/r/484291

Mentioned in SAL (#wikimedia-operations) [2019-01-15T00:34:35Z] <catrope@deploy1001> Synchronized php-1.33.0-wmf.12/resources/lib/ooui/oojs-ui-core.js: OOUI backport (T213544) (duration: 00m 46s)

matmarex closed this task as Resolved.Jan 15 2019, 12:43 AM
matmarex claimed this task.
matmarex updated the task description. (Show Details)

This issue is resolved now. Thanks for reporting it!

Change 486131 had a related patch set uploaded (by Jforrester; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.30.2

https://gerrit.wikimedia.org/r/486131

Change 486131 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.30.2

https://gerrit.wikimedia.org/r/486131